%% Transformation Function %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function c1 = trans(c0) % Constrains values of regular coefficients

    c1 = c0;
    c1(1) = c0(1)/(1 + abs(c0(1))); % Constrains MA coefficient to invertible representation
    % c1(3) = exp(c0(3)); % helpful to use constraint in finding global max for data_code=5
    c1(4:36) = exp(c0(4:36)); % Constrains standard deviations of shocks to be positive

end % End of transformation function